// 定义一个全局变量来存储IP地址
let IP;

document.getElementById('lookupButton').addEventListener('click', function() {
    fetch('https://sjbk.cloud:9635/ip/')
        .then(response => {
            if (!response.ok) {
                throw new Error('Network response was not ok ' + response.statusText);
            }
            return response.json(); // 解析JSON格式的响应体
        })
        .then(data => {
            IP = data.ip; // 将IP地址存储到全局变量中
            console.log('Global IP:', IP); // 在控制台输出IP地址
            // 这里可以添加其他处理逻辑，例如发送IP地址到服务器或进行其他操作
        })
        .catch(error => {
            console.error('There has been a problem with your fetch operation:', error);
            // 这里可以添加错误处理逻辑
        });
});