require 'import'
import 'androidx.appcompat.R'
import 'com.google.android.material.R'
import 'github.zzzoficial.open.lua.R'
import 'android.content.Context'
import 'android.widget.TextView'
import 'com.androlua.ticker'
import 'com.google.android.material.button.MaterialButton'
import 'android.R$id'
import 'androidx.activity.R$id'
import 'androidx.appcompat.R$layout'
import 'androidx.recyclerview.R$id'
import 'com.bumptech.glide.R$id'
import 'androidx.constraintlayout.R$id'
import 'androidx.swiperefreshlayout.widget.R$id'
import 'androidx.cardview.R$id'
import 'androidx.asynclayoutinflater.R$id'
import 'androidx.palette.R$id'
import 'androidx.preference.R$id'
import 'androidx.recyclerview.R$layout'
import 'androidx.window.R$id'
import 'com.bumptech.glide.R$id'
import 'com.google.android.material.R$layout'
import 'android.app.ActivityManager'
import 'androidx.appcompat.R$layout'
import 'androidx.widget.Linearayout'

activityManager = activity.getSystemService(Context.ACTIVITY_SERVICE)
-- 这看起来是定时器，使得ticker()进行更新
ti = Ticker()
ti.Period = 100
ti.onTick = function()
    if (ActivityManager.getLockTaskModeState()==ActivityManager.LOCK_TASK_MODE_LOCKED or activityManager.isInLockTaskMode()) then
        lock_button.text = "退出屏幕"
    else
        lock_button.text = "固定屏幕"
    end
end

layout = {
    LinearLayout,
    orientation = "vertical",
    layout_width = "fill",
    layout_height = "fill",
    gravity = "center",
    {
        TextView,
        text = "当您固定屏幕后您所打开的应用会占据整个屏幕,进入更换启动应用后点击下方按钮您也可以通过设置解除进入固定屏幕需要密码。",
        id = "text"
    },
    {
        MaterialButton,
        layout_height = "wrap",
        layout_width = "wrap",
        layout_gravity = "center",
        layout_marginTop = "200dp",
        text = "固定屏幕",
        textColor = "#FF0B5EA6",
        id = "lock_button",
        onClick = function()
            if (ActivityManager.getLockTaskModeState()==ActivityManager.LOCK_TASK_MODE_LOCKED or activityManager.isInLockTaskMode()) then
                activity.stopLockTask()
            else
                activity.startLockTask()
                lock_button.text = "退出屏幕"
            end
        end
    }
}
activity.setContentView(loadlayout(layout))
ti.start() -- 启动Ticker定时器