document.querySelectorAll('.navbar a').forEach(link => {
  link.addEventListener('click', function(e) {
    e.preventDefault();
    const targetId = this.getAttribute('href');
    const targetPage = document.querySelector(targetId);
    const pages = document.querySelectorAll('.page');
    pages.forEach(page => {
      if (page === targetPage) {
        page.style.display = 'block';
        page.style.animation = 'slideIn 0.5s ease';
      } else {
        page.style.display = 'none';
      }
    });
  });
});

function showPage(pageUrl) {
    // 创建一个新的iframe元素
    var iframe = document.createElement('iframe');
    
    // 设置iframe的src属性为传入的页面URL
    iframe.src = pageUrl;
    
    // 设置iframe的其他属性，例如宽度和高度
    iframe.width = '100%';
    iframe.height = '100%';
    iframe.style.border = 'none'; // 移除边框
    
    // 获取当前页面内容区域的元素
    var contentDiv = document.getElementById('content');
    
    // 将新的iframe元素添加到页面内容区域
    contentDiv.innerHTML = ''; // 清空当前内容
    contentDiv.appendChild(iframe); // 添加新的iframe
}
